Name:           maven-invoker-plugin
Version:        1.10
Release:        %mkrel 3
Group:          Development/Java
Summary:        Maven Invoker Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-invoker-plugin/
BuildArch:      noarch

Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.maven.shared:maven-invoker)
BuildRequires:  mvn(org.apache.maven.shared:maven-script-interpreter)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.beanshell:bsh)
BuildRequires:  mvn(org.codehaus.groovy:groovy)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-i18n)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
The Maven Invoker Plugin is used to run a set of Maven projects. The plugin
can determine whether each project execution is successful, and optionally
can verify the output generated from a given project execution.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q 

%build
%mvn_build -f 

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 1.10-3.mga6
+ Revision: 978748
- First rebuild of the Java Stack
- Sync with fedora
- First rebuild of the java stack

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1.8-8.mga5
+ Revision: 807852
- Update BuildRequires

* Sun Dec 28 2014 pterjan <pterjan> 1.8-7.mga5
+ Revision: 806741
- Add missing BuildRequires
- Sync with Fedora 21
- Add upstream patch to fix build with maven 3.2.2

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 1.8-3.mga4
+ Revision: 565466
- Fix BuildRequires
- Build with xmvn

* Sat Jul 13 2013 dmorgan <dmorgan> 1.8-2.mga4
+ Revision: 453842
- Migrate from maven-doxia to doxia subpackages (Resolves: rhbz#909238)

* Fri Jul 12 2013 dmorgan <dmorgan> 1.8-1.mga4
+ Revision: 453302
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 359667
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 1.7-1.mga3
+ Revision: 326357
- New version

* Thu Sep 13 2012 dmorgan <dmorgan> 1.6-1.mga3
+ Revision: 293273
- New version

* Wed Jul 20 2011 dmorgan <dmorgan> 1.5-6.mga2
+ Revision: 127260
- Build with maven 3.x.
    Use upstream source.
    Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.5-5.mga1
+ Revision: 92705
- Rebuild after bootstrapping
- imported package maven-invoker-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 Weinan Li <weli@redhat.com> -1.5-3
- R: maven-shared-invoker
- R: maven-shared-reporting-api
- R: maven-shared-reporting-impl
- Remove BR: maven2-plugin-changes
- Add BR: maven-shared-invoker

* Mon Jun 7 2010 Weinan Li <weli@redhat.com> - 1.5-2
- Fix incoherent version in changelog
- BR: maven-javadoc-plugin

* Thu Jun 3 2010 Weinan Li <weli@redhat.com> - 1.5-1
- Initial Package
